Page MenuHomePhabricator

vendor/firebase - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0. Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/vendor/firebase/php-jwt/run-tests.sh

  1. Files which should have permissions set to 644

vendor/firebase/php-jwt/run-tests.sh

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/core : masterPermission fix

Event Timeline

wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 10:46 PM
D3r1ck01 claimed this task.Sep 23 2015, 2:37 PM
D3r1ck01 set Security to None.

Change 240433 had a related patch set uploaded (by D3r1ck01):
Permission fix

https://gerrit.wikimedia.org/r/240433

Change 240433 abandoned by D3r1ck01:
Permission fix

Reason:
not done properly

https://gerrit.wikimedia.org/r/240433

D3r1ck01 removed D3r1ck01 as the assignee of this task.Sep 23 2015, 6:48 PM
Reedy closed this task as Resolved.Apr 4 2017, 11:15 PM
Reedy claimed this task.
Reedy added a subscriber: Reedy.